Bug 188266 - [PATCH] mail/opendkim: stage support
Summary: [PATCH] mail/opendkim: stage support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-04 22:00 UTC by Danilo G. Baio
Modified: 2014-04-22 17:00 UTC (History)
1 user (show)

See Also:


Attachments
opendkim-2.8.3.patch (1.34 KB, patch)
2014-04-04 22:00 UTC, Danilo G. Baio
no flags Details | Diff
mail__opendkim.diff (4.70 KB, patch)
2014-04-06 13:30 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2014-04-04 22:00:01 UTC
- Stage support
- Orphan files

Port maintainer (umq@ueo.co.jp) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-04 22:00:04 UTC
Maintainer of mail/opendkim,

Please note that PR ports/188266 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188266

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-04-04 22:00:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rene Ladan freebsd_committer 2014-04-06 12:57:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Take
Comment 4 Rene Ladan freebsd_committer 2014-04-06 13:30:54 UTC
There were some more problems with this ports, the attached patch should
fix them:
- MANx still being referenced in Makefile, they should go to pkg-plist
- shebang fixes for perl scripts
- use BSD3CLAUSE instead of BSD for license
- add missing DEBUG option
- use modern LIB_DEPENDS syntax

René
Comment 5 dfilter service freebsd_committer 2014-04-22 16:58:59 UTC
Author: rene
Date: Tue Apr 22 15:58:56 2014
New Revision: 351857
URL: http://svnweb.freebsd.org/changeset/ports/351857
QAT: https://qat.redports.org/buildarchive/r351857/

Log:
  - Add an option for DEBUG
  - Shebang fixes for perl scripts
  - Properly handle conditional manual pages
  
  Part of PR already committed in r351697
  
  PR:		ports/188266
  Submitted by:	Danilo G. Baio <dbaio@bsd.com.br>
  Approved by:	maintainer timeout (<umq@ueo.co.jp> , 18 days)

Modified:
  head/mail/opendkim/Makefile
  head/mail/opendkim/pkg-plist

Modified: head/mail/opendkim/Makefile
==============================================================================
--- head/mail/opendkim/Makefile	Tue Apr 22 15:53:52 2014	(r351856)
+++ head/mail/opendkim/Makefile	Tue Apr 22 15:58:56 2014	(r351857)
@@ -25,6 +25,7 @@ NO_OPTIONS_SORT=yes
 USES=		pkgconfig perl5 shebangfix
 USE_PERL5=	run
 SHEBANG_FILES=	opendkim/opendkim-genkey.in
+SHEBANG_FILES=	opendkim/opendkim-genkey* reputation/opendkim-* stats/opendkim-*
 USE_OPENSSL=	yes
 USE_LDCONFIG=	yes
 
@@ -33,7 +34,7 @@ PORTDOCS=	*
 OPTIONS_SINGLE=		RESOLV
 OPTIONS_SINGLE_RESOLV=	STOCK_RESOLVER UNBOUND
 OPTIONS_DEFINE=		FILTER GNUTLS LUA MEMCACHED BDB_BASE OPENDBX OPENLDAP \
-			POPAUTH QUERY_CACHE STATS
+			POPAUTH QUERY_CACHE STATS DEBUG
 OPTIONS_DEFAULT=	FILTER LUA UNBOUND
 
 STOCK_RESOLVER_DESC=	Use the stock resolver library
@@ -48,6 +49,7 @@ OPENLDAP_DESC=		Store filter policies in
 POPAUTH_DESC=		Use POP authentication DB
 QUERY_CACHE_DESC=	Cache DNS query results locally
 STATS_DESC=		Setup statistics tools
+DEBUG_DESC=		Build with debug symbols
 
 MAKE_ARGS+=	pkgconfigdir="${PREFIX}/libdata/pkgconfig"
 
@@ -86,12 +88,6 @@ CONFIGURE_ARGS+=--docdir=${WRKDIR}/doc
 
 .if ${PORT_OPTIONS:MSTATS}
 CONFIGURE_ARGS+=	--enable-stats
-MAN8+=			opendkim-expire.8 opendkim-gengraphs.8 \
-			opendkim-genstats.8 opendkim-stats.8
-. if ${PORT_OPTIONS:MOPENDBX}
-MAN1+=			opendkim-spam.1
-MAN8+=			opendkim-importstats.8
-. endif
 PLIST_SUB+=		STATS=""
 .else
 PLIST_SUB+=		STATS="@comment "

Modified: head/mail/opendkim/pkg-plist
==============================================================================
--- head/mail/opendkim/pkg-plist	Tue Apr 22 15:53:52 2014	(r351856)
+++ head/mail/opendkim/pkg-plist	Tue Apr 22 15:58:56 2014	(r351857)
@@ -77,3 +77,18 @@ sbin/opendkim-testmsg
 @dirrm include/opendkim
 %%DKIMREP%%@dirrm include/dkim-rep
 @dirrmtry etc/mail
+%%FILTER%%man/man5/opendkim.conf.5.gz
+%%LUA%%man/man8/miltertest.8.gz
+man/man8/opendkim-genkey.8.gz
+man/man8/opendkim-genzone.8.gz
+man/man8/opendkim-testadsp.8.gz
+man/man8/opendkim-testkey.8.gz
+man/man8/opendkim-testmsg.8.gz
+%%FILTER%%man/man8/opendkim.8.gz
+%%LUA%%%%FILTER%%man/man3/opendkim-lua.3.gz
+%%STATS%%man/man8/opendkim-expire.8.gz
+%%STATS%%man/man8/opendkim-gengraphs.8.gz
+%%STATS%%man/man8/opendkim-genstats.8.gz
+%%STATS%%man/man8/opendkim-stats.8.gz
+%%STATS%%%%ODBX%%man/man1/opendkim-spam.1.gz
+%%STATS%%%%ODBX%%man/man8/opendkim-importstats.8.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Rene Ladan freebsd_committer 2014-04-22 16:59:12 UTC
State Changed
From-To: feedback->closed

Committed, thanks